---
date: 2024-05-22T08:47-08:00
title: Boring is good
description: Boring is good — often great. My favorite applications and tools are typically the most staid. The ones that change little or where there's a clear progression of minor versions leading to major versions.
tags:
  - tech
---
Boring is good — often great. My favorite applications and tools are typically the most staid. The ones that change little or where there's a clear progression of minor versions leading to major versions.<!-- excerpt -->

Take, for example, [NetNewsWire](https://netnewswire.com). It's updated infrequently, does exactly what it sets out to do reliably and issues that are carefully considered and never disruptive. [Their app philosophy statement outlines this beautifully](https://netnewswire.com/philosophy.html):

> We believe that quality is more important than just piling on features; we believe that quality is the most important feature. And we believe that high quality is transformative — it makes for an app you never hesitate to reach for. You can rely on it, and you do, again and again.

That, to me, is the *best* kind of boring. If I'm investing in a tool, I want it to be developed in a way that best serves what it's intended to do. An RSS reader syncs feeds and displays them in a chronological order while making entries in the feed easy to read. NetNewsWire does that *perfectly*.

I see some of this attitude in Steph Ango's [file over app](https://stephango.com/file-over-app) philosophy. Files can be limiting, they can be boring but software — more than many other things — comes and goes. Files tend to be the boring, enduring output that software can (and should) enable. Applications and systems that abstract away file access are ones that tend to prevent access to data should they fail or fade away. That's not magic, that's lock-in or engineered precarity.

Email is boring by almost every possible measure or definition but it continues to work, continues to be open and allows access to data. If I send an email it generally just works (vagaries of ever-evolving spam filters aside).

Music used to only require audio files and a program to play them. We traded that boring simplicity for a model that — while arguably convenient for users — is utterly unpredictable. The album you had on repeat yesterday may be gone tomorrow.

New technology can offer exciting features that we think we need and it's easy to get caught up on the hype. When what's promised fails to be delivered or fails after it has been delivered (which is so often the case), it's hard to remain optimistic about new developments.

<strong class="highlight-text">Taking a steady, slower approach isn't bad — it's often much easier than navigating the peaks and troughs of hype and the disappointment that follows.</strong>